<div class="container">
  <div class="row space-bottom">
    <div class="col text-center" style="margin-top: 20px">
      <button aria-label="create" color="accent" mat-mini-fab>
        <mat-icon (click)="navigateToLeagueCreation()">add</mat-icon>
      </button>
    </div>
  </div>
  <hr>
  <div *ngIf="!loading">
    <div *ngFor="let league of leagues" class="row padding-bottom">
      <div class="col">
        <mat-card (click)="forwardToLeagueView(league)" class="card-style mr-auto ml-auto" matRipple>
          <mat-card-header>
            <mat-card-title>{{ league.name }}</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <div class="container">
              <div class="row">
                <div class="col-12">
                  <p class="custom-table-header">Teams</p>
                  <app-landing-page-team-list [league]="league"></app-landing-page-team-list>
                </div>
              </div>
              <div class="row">
                <div class="col-12">
                  <p class="custom-table-header">Drivers</p>
                  <app-landing-page-driver-list [league]="league"></app-landing-page-driver-list>
                </div>
              </div>
            </div>
          </mat-card-content>
        </mat-card>
      </div>
    </div>
  </div>
  <div *ngIf="loading">
    <mat-progress-bar mode="buffer"></mat-progress-bar>
  </div>
</div>
